# Leather

## Leather — Developers

- [Introduction](https://leather.gitbook.io/developers/overview/introduction.md): Learn about the Leather API
- [Typings](https://leather.gitbook.io/developers/overview/typings.md)
- [getAddresses](https://leather.gitbook.io/developers/methods/getaddresses.md): Request the Bitcoin addresses (Native SegWit and Taproot) and Stacks addresses for the active account of the user's wallet
- [open](https://leather.gitbook.io/developers/methods/open.md): Programmatically open Leather
- [signMessage](https://leather.gitbook.io/developers/bitcoin-methods/signmessage.md): Request the signature of an arbitrary message with the first Bitcoin address (Native SegWit or Taproot) of an account
- [sendTransfer](https://leather.gitbook.io/developers/bitcoin-methods/sendtransfer.md): Request the signature and broadcast of a Bitcoin transaction
- [signPsbt](https://leather.gitbook.io/developers/bitcoin-methods/signpsbt.md): Request the signature and broadcast of a Partially Signed Bitcoin Transaction (PSBT)
- [stx\_transferStx](https://leather.gitbook.io/developers/stacks-methods/stx_transferstx.md): Request a transfer of STX tokens to a specified recipient.
- [stx\_signTransaction](https://leather.gitbook.io/developers/stacks-methods/stx_signtransaction.md): Request the signature of a Stacks transaction
- [stx\_signMessage](https://leather.gitbook.io/developers/stacks-methods/stx_signmessage.md): Request the signature of an arbitrary message with the Stacks address of an account
- [stx\_signStructuredMessage](https://leather.gitbook.io/developers/stacks-methods/stx_signstructuredmessage.md): Request the signature of a structured message using the Stacks address of an account.
- [stx\_callContract](https://leather.gitbook.io/developers/stacks-methods/stx_callcontract.md): Wrapper method for \`stx\_signTransaction\` that calls a Stacks contract
- [stx\_deployContract](https://leather.gitbook.io/developers/stacks-methods/stx_deploycontract.md): Deploy a Clarity smart contract on the Stacks blockchain.
- [Stacks libraries](https://leather.gitbook.io/developers/stacks-methods/stacks-libraries.md): Execute smart contracts and transfer assets on the Stacks blockchain
- [Get support](https://leather.gitbook.io/developers/resources/get-support.md): Where can I find support for integrating Leather into my app?
- [Contributions](https://leather.gitbook.io/developers/resources/contributions.md): How can I contribute to Leather?


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://leather.gitbook.io/developers/overview/introduction.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
